Loading...
Searching...
No Matches
check_engine_plugin.h File Reference
XCCDF_POLICY » Engine Plugin
`#include "xccdf_policy.h"`
`#include "oscap_export.h"`
Include dependency graph for check_engine_plugin.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | check_engine_plugin_def

## Macros

#define | OPENSCAP_CHECK_ENGINE_PLUGIN_ENTRY OPENSCAP_CHECK_ENGINE_PLUGIN_ENTRY

## Typedefs

typedef int(* | check_engine_plugin_entry_fn) (struct check_engine_plugin_def *)
| This is the entry point of shared objects implementing extra check engines.

## Functions

OSCAP_API struct check_engine_plugin_def * | check_engine_plugin_load2 (const char *path, bool quiet)
OSCAP_API struct check_engine_plugin_def * | check_engine_plugin_load (const char *path)
OSCAP_API void | check_engine_plugin_unload (struct check_engine_plugin_def *plugin)
OSCAP_API int | check_engine_plugin_register (struct check_engine_plugin_def *plugin, struct xccdf_policy_model *model, const char *path_hint)
OSCAP_API int | check_engine_plugin_cleanup (struct check_engine_plugin_def *plugin, struct xccdf_policy_model *model)
OSCAP_API int | check_engine_plugin_export_results (struct check_engine_plugin_def *plugin, struct xccdf_policy_model *model, bool validate, const char *path_hint)
OSCAP_API const char * | check_engine_plugin_get_capabilities (struct check_engine_plugin_def *plugin)
OSCAP_API const char *const * | check_engine_plugin_get_known_plugins (void)
| Retrieves list of plugin names that are known to OpenSCAP.

## Detailed Description

Author
  Martin Preisler mprei.nosp@m.sle@.nosp@m.redha.nosp@m.t.co.nosp@m.m